ProbabilityBoltzmannDownhill Class Reference

Boltzmann Downhill Probability. More...

`#include <ql/experimental/math/hybridsimulatedannealingfunctors.hpp>`

## Public Member Functions

| ProbabilityBoltzmannDownhill (unsigned long seed=SeedGenerator::instance().get())
| ProbabilityBoltzmannDownhill (const ProbabilityBoltzmannDownhill &probability)
bool | operator() (Real currentValue, Real newValue, const Array &temp) const

## Detailed Description

Boltzmann Downhill Probability.

Similarly to the Boltzmann Probability, but if new < current, then the point is always accepted.

Examples
  GlobalOptimizer.cpp.